Inbound Shipment Items

GET/shipments/inbound/{inbound_shipment}/items

List items for an inbound shipment

Get the list of items (expected, actual, and unsellable) for an inbound shipment.

Required attributes

  • Name
    inbound_shipment
    Type
    integer
    Description
    The ID of the inbound shipment 1001

Optional attributes

  • Name
    item_ids
    Type
    array<integer>
    Description
    Filter to a specific list of item IDs

Request

GET/shipments/inbound/{inbound_shipment}/items
curl -G https://YOUR_DOMAIN/api/shipments/inbound/{inbound-shipment}/items \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/shipments/inbound/{inbound_shipment}/add-item

Add an item to an inbound shipment

Add an inventory item with a specified quantity to an inbound shipment.

Required attributes

  • Name
    inbound_shipment
    Type
    integer
    Description
    The ID of the inbound shipment 1001
  • Name
    item_id
    Type
    integer
    Description
    The ID of the inventory item to add 42
  • Name
    quantity
    Type
    integer
    Description
    The expected quantity of the item 10

Request

POST/shipments/inbound/{inbound_shipment}/add-item
curl -X POST https://YOUR_DOMAIN/api/shipments/inbound/{inbound-shipment}/add-item \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "item_id": 42,
    "quantity": 10
}'
Loading response...
POST/shipments/inbound/{inbound_shipment}/update-item

Update an item on an inbound shipment

Update the expected and actual quantities for an item on an inbound shipment.

Required attributes

  • Name
    inbound_shipment
    Type
    integer
    Description
    The ID of the inbound shipment 1001
  • Name
    item_id
    Type
    integer
    Description
    The ID of the inventory item to update 42
  • Name
    expected
    Type
    object
    Description
    Expected quantity update
  • Name
    expected.quantity
    Type
    integer
    Description
    The new expected quantity 10
  • Name
    actual.quantity
    Type
    integer
    Description
    The new actual received quantity 8

Optional attributes

  • Name
    expected.item_group_configurations
    Type
    array<ItemGroupConfiguration>
    Description
    Group configuration summaries
  • Name
    expected.item_group_configurations.*.configuration_id
    Type
    integer
    Description
  • Name
    expected.item_group_configurations.*.quantity
    Type
    integer
    Description
  • Name
    expected.item_group_configurations.*.partial_quantity
    Type
    integer
    Description
  • Name
    actual
    Type
    object
    Description
    Actual quantity update (only available to service provider staff)
  • Name
    actual.item_group_configurations
    Type
    array<ItemGroupConfiguration>
    Description
    Group configuration summaries
  • Name
    actual.item_group_configurations.*.configuration_id
    Type
    integer
    Description
  • Name
    actual.item_group_configurations.*.quantity
    Type
    integer
    Description
  • Name
    actual.item_group_configurations.*.partial_quantity
    Type
    integer
    Description
  • Name
    actual.moves
    Type
    array<Move>
    Description
    Stock move data

Request

POST/shipments/inbound/{inbound_shipment}/update-item
curl -X POST https://YOUR_DOMAIN/api/shipments/inbound/{inbound-shipment}/update-item \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "item_id": 42,
    "expected": {
        "quantity": 10,
        "item_group_configurations": []
    },
    "actual": {
        "quantity": 8,
        "item_group_configurations": [],
        "moves": []
    }
}'
Loading response...
POST/shipments/inbound/{inbound_shipment}/remove-item

Remove an item from an inbound shipment

Remove an inventory item from an inbound shipment.

Required attributes

  • Name
    inbound_shipment
    Type
    integer
    Description
    The ID of the inbound shipment 1001
  • Name
    item_id
    Type
    integer
    Description
    The ID of the inventory item to remove 42

Request

POST/shipments/inbound/{inbound_shipment}/remove-item
curl -X POST https://YOUR_DOMAIN/api/shipments/inbound/{inbound-shipment}/remove-item \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "item_id": 42
}'
Loading response...